Skip to main content
`Ctrl`+`K`

# KSPGuessSetTolerance

Sets the relative tolerance used in either eigenvalue (POD) or singular value (Fischer type 3) calculations.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPGuessSetTolerance(KSPGuess guess, PetscReal tol)

Collective

## Input Parameters

- guess - `KSPGuess` object

- tol - the tolerance

## Options Database Key

- -ksp_guess_fischer_tol tol - set the tolerance for the Fischer models

- -ksp_guess_pod_tol tol - set the tolerance for the Pod models

## Note

Ignored by the first and second Fischer guess types

## See Also

KSP: Linear System Solvers, `KSPGuess`, `KSPGuessType`, `KSPGuessSetFromOptions()`

## Level

developer

## Location

src/ksp/ksp/interface/iguess.c

## Implementations

KSPGuessSetTolerance_Fischer() in src/ksp/ksp/guess/impls/fischer/fischer.c
KSPGuessSetTolerance_POD() in src/ksp/ksp/guess/impls/pod/pod.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages